import React from 'react';
declare const StyledFlexbox: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<{
    sm?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    md?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    lg?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    xl?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
} & import("../../../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
    className?: string | undefined;
} & {
    children?: React.ReactNode;
    as?: any;
} & React.RefAttributes<HTMLDivElement>, {
    $numberOfPages: number;
}>> & React.ForwardRefExoticComponent<{
    sm?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    md?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    lg?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    xl?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
} & import("../../../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
    className?: string | undefined;
} & {
    children?: React.ReactNode;
    as?: any;
} & React.RefAttributes<HTMLDivElement>>;
declare const TruncatedPageNumbers: () => React.JSX.Element;
export { StyledFlexbox, TruncatedPageNumbers };
